I've just installed ruby 1.9.1 (port install). I gem installed ncurses,
it gave errors. After much searching i found this:

    Ruby 1.9.1 RARRAY(x)->len should be RARRAY_LEN(x)

Changed the code, it compiled fine, i created a gem, installed it and it
shows up in local gems. However, my the examples do not run. This is the
error:

     form.rb:21:in `<main>': undefined method `new_field' for
Ncurses::Form:Module (NoMethodError)

(btw, I've also tried elliottcable-ncurses which installed straight off,
but the examples there too give the same error).

Is this a 1.9.1 issue, some environment issue or what ? Is anyone using
ncurses on 1.9.1?

I have ruby 1.9.1p243 (2009-07-16 revision 24175) [powerpc-darwin9.5.0]
and am on OSX 10.5.5.

Thanks in advance.
-- 
Posted via http://www.ruby-forum.com/.